# pyMOR - Model Order Reduction with Python

[pyMOR](https://pymor.org) is a software library for building
[model order reduction](https://morwiki.mpi-magdeburg.mpg.de)
applications with the Python programming language.
All algorithms in pyMOR are formulated in terms of abstract interfaces,
allowing generic implementations to work with different backends,
from NumPy/SciPy to external partial differential equation solver packages.

```{toctree}
:hidden:
:maxdepth: 6

getting_started
technical_overview
environment
tutorials
release_notes/all.rst
bibliography
developer_docs
/autoapi/index
```
